# Class TelemetryHelper

java.lang.Object
com.databricks.jdbc.telemetry.TelemetryHelper

public class TelemetryHelper extends Object

## Constructor Summary

Constructors
Constructor
Description
`TelemetryHelper()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`exportFailureLog(IDatabricksConnectionContext connectionContext, String errorName, String errorMessage)`
`static void`
`exportFailureLog(IDatabricksConnectionContext connectionContext, String errorName, String errorMessage, String statementId, Long chunkIndex)`
`static void`
`exportTelemetryLog(StatementTelemetryDetails telemetryDetails)`
`static com.databricks.sdk.core.DatabricksConfig`
`getDatabricksConfigSafely(IDatabricksConnectionContext context)`
`static DriverSystemConfiguration`
`getDriverSystemConfiguration()`
`static String`
`getStatementIdString(StatementId statementId)`
`static boolean`
`isTelemetryAllowedForConnection(IDatabricksConnectionContext context)`
`static OperationType`
`mapMethodToOperationType(String methodName)`
`static void`
`updateTelemetryAppName(IDatabricksConnectionContext connectionContext, String clientInfoAppName)`
Sets/updates client app name in telemetry

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TelemetryHelper

public TelemetryHelper()

## Method Details

### getDriverSystemConfiguration

public static DriverSystemConfiguration getDriverSystemConfiguration()

### isTelemetryAllowedForConnection

public static boolean isTelemetryAllowedForConnection(IDatabricksConnectionContext context)

### exportTelemetryLog

public static void exportTelemetryLog(StatementTelemetryDetails telemetryDetails)

### exportFailureLog

public static void exportFailureLog(IDatabricksConnectionContext connectionContext, String errorName, String errorMessage)

### exportFailureLog

public static void exportFailureLog(IDatabricksConnectionContext connectionContext, String errorName, String errorMessage, String statementId, Long chunkIndex)

### getStatementIdString

public static String getStatementIdString(StatementId statementId)

### getDatabricksConfigSafely

public static com.databricks.sdk.core.DatabricksConfig getDatabricksConfigSafely(IDatabricksConnectionContext context)

### mapMethodToOperationType

public static OperationType mapMethodToOperationType(String methodName)

### updateTelemetryAppName

public static void updateTelemetryAppName(IDatabricksConnectionContext connectionContext, String clientInfoAppName)
Sets/updates client app name in telemetry

Parameters:
  `connectionContext` - The connection context
  `clientInfoAppName` - The application name from client info properties, can be null